Bug 1583822 - fedpkg shouldn't assemble the rpm in ~/rpmbuild/BUILDROOT/
Summary: fedpkg shouldn't assemble the rpm in ~/rpmbuild/BUILDROOT/
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 19:10 UTC by David Howells
Modified: 2018-09-06 03:43 UTC (History)
6 users (show)

Fixed In Version: rpkg-1.56-1.fc28 rpkg-1.56-1.fc27 rpkg-1.56-1.el7 rpkg-1.56-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 04:54:03 UTC
Type: Bug


Attachments (Terms of Use)

Description David Howells 2018-05-29 19:10:31 UTC
Description of problem:

Whilst fedpkg builds stuff and writes the output rpms in the project directory in which you're running it, it does not assemble the rpm there, but rather assembles it in ~/rpmbuild/BUILDROOT.  It should be consistent and assemble the RPMs there too, because:

 (1) The homedir may be remotely based.

 (2) The homedir may be subject to quotas or size limits that can get overrun.

 (3) The homedir may not support all types of file.

The problem I just encountered was that whilst my work directory had sufficient space to build the cross-gcc rpms, my homedir doesn't - after 12G of stuff was written, I ran out of space and mail started getting bounced and my desktop programs started misbehaving.

Version-Release number of selected component (if applicable):

fedpkg-1.32-1.fc27.noarch

Comment 1 cqi 2018-08-13 07:12:42 UTC
I think you mean the local command, right?

Comment 2 cqi 2018-08-13 07:17:14 UTC
I missed commands prep, compile, install, verify-files.

Comment 3 cqi 2018-08-13 09:12:36 UTC
PR: https://pagure.io/rpkg/pull-request/368/

Comment 4 Jan Kurik 2018-08-14 10:00:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2018-08-22 07:51:52 UTC
fedpkg-1.35-1.el7 rpkg-1.56-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 6 Fedora Update System 2018-08-22 07:52:25 UTC
fedpkg-1.35-1.el6 rpkg-1.56-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 7 Fedora Update System 2018-08-22 07:52:49 UTC
fedpkg-1.35-1.fc27 rpkg-1.56-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 8 Fedora Update System 2018-08-22 07:53:15 UTC
fedpkg-1.35-1.fc28 rpkg-1.56-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 9 David Howells 2018-08-22 09:23:08 UTC
(In reply to cqi from comment #1)
> I think you mean the local command, right?

Yes.

Comment 10 David Howells 2018-08-22 09:29:16 UTC
What does the change actually do?  Does it require you to supply:

--buildrootdir=/foo/bar

to fedpkg every time you run it?  Can it be set in a config file somewhere?

Comment 11 Fedora Update System 2018-08-22 10:00:57 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 12 Fedora Update System 2018-08-22 11:02:54 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 13 Fedora Update System 2018-08-22 11:52:00 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 14 Fedora Update System 2018-08-22 11:58:03 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 15 Fedora Update System 2018-08-30 04:54:03 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-08-30 18:51:38 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-09-06 01:00:45 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-09-06 03:43:37 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.